#
# spec file for package cowsay
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!perl_requires:%define perl_requires() Requires: perl = %{perl_version}}
Name:           cowsay
Version:        3.8.4
Release:        1.2
Summary:        Configurable talking cow (and some other creatures)
License:        GPL-3.0-or-later
Group:          Amusements/Toys/Other
URL:            https://cowsay.diamonds/
Source:         https://github.com/cowsay-org/cowsay/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         chami.patch
BuildRequires:  make
BuildRequires:  perl
BuildArch:      noarch
%{perl_requires}

%description
cowsay is a configurable talking cow, written in Perl. It operates
much as the figlet program does, and it written in the same spirit
of silliness.

%prep
%autosetup -p1
sed -i '1 s/env //' bin/cow*

%build
:

%install
%make_install prefix=%{_prefix}

%check
# no test suite available at all

%files
%license LICENSE.txt
%doc README.md CONTRIBUTORS.md CHANGELOG.md
%{_bindir}/cowsay
%{_bindir}/cowthink
%{_datadir}/cowsay
%{_mandir}/man1/cowsay.1%{?ext_man}
%{_mandir}/man1/cowthink.1%{?ext_man}

%changelog
* Wed Feb  5 2025 Matej Cepl <mcepl@cepl.eu>
- Update to 3.8.4:
  - Add "sus" (Among Us crewmate) cow.
  - Add "actually..." cow.
  - Add CONTRIBUTORS.md file with contributor credits.
  - Add notes on contributing a cow, and licensing it, to CONTRIBUTING.md.
    Require "GPLv1+ and Artistic" licensing for new contributions.
- Update to 3.8.3:
  - Remove offensive cows "telebears" and "satanic", sending to
    cows-offensive. (#46)
  - Improve Makefile, bringing more in line with GNU conventions,
    improve configurability, fix some make uninstall problems,
    etc. (#26) (Thanks, Hans Niedermann!)
  - Remove leftover "Listing cowfiles in pretty format" debugging
    output (#50)
  - Fix "uninitialized value $tail" error in cowsay -l output for
    empty (zero-cowfile) cow dirs (#50)
  - Fix installation location ("prefix") detection for cases
    like user-defined symlinks, and align repo layout with
    installation prefix dir layout (#49, #55)
  - Remove broken .pm cows (#54)
    Support for the .pm cowfile format never got
    implemented. This keeps non-working cows from appearing in the
    cowsay -l list and the like.
  - Expand cowsay --help screen, and the man page a bit
- Update to 3.8.2:
  Remove an offensive cow (#46)
  - It has been put to pasture in the new cows-offensive repo
- Update to 3.8.1:
  Small bugfix release.
  - Fix cowsay -h behavior, which would still wait for stdin
    input instead of exiting
  - Fix cowsay -n <args> giving obtuse "undefined subroutine"
    error
- Update to 3.8.0:
  First new release in a couple years. Nothing big here. Sorry,
  I'm a cow; I move slow.
  - Add "cupcake", "alpaca", and "fox" cows
  - Fix "mech-and-cow" cow for file extension issue
  - Fix "empbrace" typo in kiss.cow
  - Better installation process, involving symlinks and stuff
  - Migrate from AsciiDoc to Asciidoctor
  - Make cowthink a symlink to cowsay
  - Improve man page organization
- Readjust chami.patch to use correct directory.
* Fri Dec  3 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 3.7.0
  * cowsay -r [-C] for random cow
  * Pluggable cow collections using etc/cowsay/cowpath.d
  * Parseable format for cowsay -l when sent to non-terminal
    destination
  * Fix cowsay -l ignoring *.pm files
  * Have cowsay -l recursively discover cowfiles in subdirectories
- Update to 3.5
  * Add llama cow
  * Changed to SemVer version numbering
- Switch to cowsay-org fork:
  * Version 3.04.01
  * Fix the version number in source files
- Adjust chami.patch for different directory structure
- Drop fixed one-eye.patch
* Wed Sep  2 2020 Dirk Mueller <dmueller@suse.com>
- update to 3.0.4:
  - Licensing terms have changed to GPLv3.
  - Friendlier to being hosted on GitHub.
  - No functionality changes whatsoever.
* Wed Jun 26 2019 Marketa Calabkova <mcalabkova@suse.com>
- Add SUSE brand
  * chami.patch -- big chameleon picture named chameleon.cow
  * one-eye.patch -- helper patch to allow the chameleon to be dead
* Sat May 27 2017 sor.alexei@meowr.ru
- Add perl to BuildRequires in order to make the package rebuild
  when perl was updated.
* Sat Apr 26 2014 andreas.stieger@gmx.de
- use verbatim upstream source tarball
- use version number used upstream
- add source URLs, see https://en.opensuse.org/SourceUrls
- add source tarball signature verification
- specify perl requirements as per packaging recommendations
* Sun Apr  6 2014 sor.alexei@meowr.ru
- Initial package.
